Subject: bug#63666: sporadic “guix substitute: error: connect*: Connection timed out”

From: Simon Tournier <[email-masked]>
Date: Thu, 25 May 2023 15:36:42 +0200

Hi,

On mer., 24 mai 2023 at 17:01, Ludovic Courtès <[email-masked]> wrote:

>>  gumbo-parser-0.10.1  149KiB                                                                                                                                                                       555KiB/s 00:00 ▕██████████████████▏ 100.0%
>>  cups-minimal-2.4.2  4.9MiB                                                                                                                                                                        533KiB/s 00:03 ▕█████▎            ▏  29.2%guix substitute: warning: while fetching https://ci.guix.gnu.org/nar/lzip/mcdi162f45smrgvjmm3vldx2i1xhz0x5-iso-codes-4.5.0: server is somewhat slow
>> guix substitute: warning: try `--no-substitutes' if the problem persists
>> retrying download of '/gnu/store/mcdi162f45smrgvjmm3vldx2i1xhz0x5-iso-codes-4.5.0' with other substitute URLs...
>
> Good, that’s the expected behavior.  (Of course that may still fail if
> there are no other valid substitute URLs.)

Well, I do not have other substitutes and sometimes it displays this
message but it does not fail.  Does it retry?

>> And I do not know which other substitute URLs are since I pass the
>> option ’--substitute-urls=https://ci.guix.gnu.org’; both to guix-daemon
>> and to “guix shell”.
>>
>> Last, I start to see the progress bar, then something happens and I only
>> see this:
>>
>> substitution of /gnu/store/6r4brvchlkbbqx2n2iz2p6i2ki78zfp2-kexec-tools-2.0.23 complete
>>
>> substitution of /gnu/store/rfx142plc19c12mcfk86a8ff0c7bpch0-lame-3.100 complete
>>
>> substitution of /gnu/store/65rbvsb9fyx74ff1sjnar1bp8qif7k07-libaacs-0.11.0 complete
>>
>> No more progress bars.
>
> That’s because you have max-jobs > 1: progress bars aren’t displayed
> when several jobs are running in parallel.

Well, I only see this “substitution of …” message when before the
progress bar is broken by a warning.  Then I do not see again any
progress bar.

Cheers,
simon